<?php

$_SESSION['lineas'] = $_POST['lineas'];

if ($_SESSION['lineas'] == '') {
    $_SESSION['lineas'] = 1;
}
;

# Run with: php -S localhost:8000
/*
session_start();

$headers = array(
'Content-Type: application/json',
'Authorization: Basic b1hERjRJajBxeW9oendCU2prUlZjeEYzOkttdkF4eGY1ZTZ1YWlGYVl6TmpGWThWU2sxZlBpTE01UkhHbkhHNHVxNEJOd0JZZA=='
);

$params=['scope'=>'nfce', 'grant_type'=>'client_credentials'];
$curl = curl_init("https://console.veraciti.com.br/api/v1/auth2_token/token");
curl_setopt($curl, CURLOPT_FOLLOWLOCATION, false);
curl_setopt($curl, CURLOPT_HEADER, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_POSTFIELDS, $params);

$json = json_decode(curl_exec($curl));

echo $json->access_token;
 */

$login = 'oXDF4Ij0qyohzwBSjkRVcxF3';
$password = 'KmvAxxf5e6uaiFaYzNjFY8VSk1fPiLM5RHGnHG4uq4BNwBYd';
$params = ['scope' => 'nfce', 'grant_type' => 'client_credentials'];
$url = 'https://console.veraciti.com.br/api/v1/auth2_token/token';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_USERPWD, "$login:$password");
curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
$result = curl_exec($ch);
curl_close($ch);

$llego = json_decode($result, true);

$auto = $llego['access_token'];

// echo $auto;

$cabecera = '{ "informacao_nfe": { "ide": {"uf": 13,"natureza_operacao": "VENDA","codigo_municipio": "1302603","tipo_impressao_danfe": 5,"indicador_presenca": 1,
   "processo_emissao": 0 }, "emitente": {"cnpj": "29604796000173"  },
    "detalhes": [';

$text1 = '{ "produto": {"codigo": "inter_code_001","ean": "SEM GTIN","descricao": "NOTA FISCAL EMITIDA EM AMBIENTE DE HOMOLOGACAO - SEM VALOR FISCAL","ncm": "21069090","cest": "1706200","indicador_escala_relevante": "S","codigo_excecao_ipi": "11","cfop": "5102","unidade_comercial": "un","quantidade_comercial": 10,"valor_unitario_comercial": 2,"valor_bruto": 20,"ean_tributavel": "SEM GTIN","unidade_tributavel": "un","quantidade_tributavel": 10,"valor_unitario_tributavel": 2 },
    "imposto": {"icms": {"csosn": "102","origem_mercadoria": 4} }}';

$text2 = '{ "produto": {"codigo": "inter_code_001","ean": "SEM GTIN","descricao": "NOTA FISCAL EMITIDA EM AMBIENTE DE HOMOLOGACAO - SEM VALOR FISCAL","ncm": "21069090","cest": "1706200","indicador_escala_relevante": "S","codigo_excecao_ipi": "11","cfop": "5102","unidade_comercial": "un","quantidade_comercial": 10,"valor_unitario_comercial": 2,"valor_bruto": 20,"ean_tributavel": "SEM GTIN","unidade_tributavel": "un","quantidade_tributavel": 10,"valor_unitario_tributavel": 2 },
    "imposto": {"icms": {"csosn": "102","origem_mercadoria": 4} }}';

$total = 0;
for ($i = 1; $i <= $_SESSION['lineas']; $i++) {

    $total = $total + 20;

    if ($i == 1) {
        $cuerpo = $cuerpo . $text1;
    } else {
        $cuerpo = $cuerpo . ',' . $text2;

    }

    //echo $i;

}

//  echo     $cuerpo;

// exit;

$pie = ' ], "transporte": {"modalidade_frete": 9 },
    "pagamento": { "pagamentos": [ {"forma_pagamento": 0,"meio_pagamento": "01","valor_pagamento": ' . $total . '.0 }], "valor_troco":0}}}';

$params = $cabecera . $cuerpo . $pie;

$headers = array(
    'Content-Type:application/json',
    'Authorization: bearer ' . $auto, // <---
);
$url = 'https://console.veraciti.com.br/api/v1/nfce/';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
//curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
$result = curl_exec($ch);
curl_close($ch);

echo $result;

?>